export interface ActorInputBean {
    /**
     * The account IDs of the users to add as default actors. This parameter accepts a comma-separated list. For example, `"user":["5b10a2844c20165700ede21g", "5b109f2e9729b51b54dc274d"]`.
     */
    user?: Array<string>;
    /**
     * The name of the group to add as a default actor. This parameter accepts a comma-separated list. For example, `"group":["project-admin", "jira-developers"]`.
     */
    group?: Array<string>;
}
//# sourceMappingURL=ActorInputBean.d.ts.map