import { AttachmentArchiveItemReadableAsResponse } from "../definitions/AttachmentArchiveItemReadableAsResponse";
export interface AttachmentArchiveMetadataReadableAsResponse {
    /**
     * The ID of the attachment.
     */
    id?: number;
    /**
     * The name of the archive file.
     */
    name?: string;
    /**
     * The list of the items included in the archive.
     */
    entries?: Array<AttachmentArchiveItemReadableAsResponse>;
    /**
     * The number of items included in the archive.
     */
    totalEntryCount?: number;
    /**
     * The MIME type of the attachment.
     */
    mediaType?: string;
}
//# sourceMappingURL=AttachmentArchiveMetadataReadableAsResponse.d.ts.map