import { BulkProjectPermissions } from "../definitions/BulkProjectPermissions";
export interface BulkPermissionsRequestBean {
    /**
     * Project permissions with associated projects and issues to look up.
     */
    projectPermissions?: Array<BulkProjectPermissions>;
    /**
     * Global permissions to look up.
     */
    globalPermissions?: Array<string>;
    /**
     * The account ID of a user.
     */
    accountId?: string;
}
//# sourceMappingURL=BulkPermissionsRequestBean.d.ts.map