import { CreatedIssueAsResponse } from "../definitions/CreatedIssueAsResponse";
import { BulkOperationErrorResultAsResponse } from "../definitions/BulkOperationErrorResultAsResponse";
export interface CreatedIssuesAsResponse {
    /**
     * Details of the issues created.
     */
    issues?: Array<CreatedIssueAsResponse>;
    /**
     * Error details for failed issue creation requests.
     */
    errors?: Array<BulkOperationErrorResultAsResponse>;
}
//# sourceMappingURL=CreatedIssuesAsResponse.d.ts.map