export interface CustomFieldContextOptionAsResponse {
    /**
     * The ID of the custom field option.
     */
    id: string;
    /**
     * The value of the custom field option.
     */
    value: string;
    /**
     * For cascading options, the ID of the custom field option containing the cascading option.
     */
    optionId?: string;
    /**
     * Whether the option is disabled.
     */
    disabled: boolean;
}
//# sourceMappingURL=CustomFieldContextOptionAsResponse.d.ts.map