import { StatusDetailsAsResponse } from "../definitions/StatusDetailsAsResponse";
import { PriorityAsResponse } from "../definitions/PriorityAsResponse";
import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
import { TimeTrackingDetailsAsResponse } from "../definitions/TimeTrackingDetailsAsResponse";
import { IssueTypeDetailsAsResponse } from "../definitions/IssueTypeDetailsAsResponse";
export interface FieldsAsResponse {
    /**
     * The summary description of the linked issue.
     */
    summary?: string;
    /**
     * The status of the linked issue.
     */
    status?: StatusDetailsAsResponse;
    /**
     * The priority of the linked issue.
     */
    priority?: PriorityAsResponse;
    /**
     * The assignee of the linked issue.
     */
    assignee?: UserDetailsAsResponse;
    /**
     * The time tracking of the linked issue.
     */
    timetracking?: TimeTrackingDetailsAsResponse;
    /**
     * The type of the linked issue.
     */
    issuetype?: IssueTypeDetailsAsResponse;
    /**
     * The type of the linked issue.
     */
    issueType?: IssueTypeDetailsAsResponse;
}
//# sourceMappingURL=FieldsAsResponse.d.ts.map