import { FoundGroupAsResponse } from "../definitions/FoundGroupAsResponse";
export interface FoundGroupsAsResponse {
    /**
     * Header text indicating the number of groups in the response and the total number of groups found in the search.
     */
    header?: string;
    /**
     * The total number of groups found in the search.
     */
    total?: number;
    groups?: Array<FoundGroupAsResponse>;
}
//# sourceMappingURL=FoundGroupsAsResponse.d.ts.map