export interface FunctionReferenceDataAsResponse {
    /**
     * The function identifier.
     */
    value?: string;
    /**
     * The display name of the function.
     */
    displayName?: string;
    /**
     * Whether the function can take a list of arguments.
     */
    isList?: "true" | "false";
    /**
     * The data types returned by the function.
     */
    types?: Array<string>;
}
//# sourceMappingURL=FunctionReferenceDataAsResponse.d.ts.map