import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
export interface PagedListUserDetailsApplicationUserAsResponse {
    /**
     * The number of items on the page.
     */
    size?: number;
    /**
     * The list of items.
     */
    items?: Array<UserDetailsAsResponse>;
    /**
     * The maximum number of results that could be on the page.
     */
    "max-results"?: number;
    /**
     * The index of the first item returned on the page.
     */
    "start-index"?: number;
    /**
     * The index of the last item returned on the page.
     */
    "end-index"?: number;
}
//# sourceMappingURL=PagedListUserDetailsApplicationUserAsResponse.d.ts.map