import { JqlQueryAsResponse } from "../definitions/JqlQueryAsResponse";
export interface ParsedJqlQueryAsResponse {
    /**
     * The JQL query that was parsed and validated.
     */
    query: string;
    /**
     * The syntax tree of the query. Empty if the query was invalid.
     */
    structure?: JqlQueryAsResponse;
    /**
     * The list of syntax or validation errors.
     */
    errors?: Array<string>;
}
//# sourceMappingURL=ParsedJqlQueryAsResponse.d.ts.map