export interface PriorityAsResponse {
    /**
     * The URL of the issue priority.
     */
    self?: string;
    /**
     * The color used to indicate the issue priority.
     */
    statusColor?: string;
    /**
     * The description of the issue priority.
     */
    description?: string;
    /**
     * The URL of the icon for the issue priority.
     */
    iconUrl?: string;
    /**
     * The name of the issue priority.
     */
    name?: string;
    /**
     * The ID of the issue priority.
     */
    id?: string;
    [x: string]: any;
}
//# sourceMappingURL=PriorityAsResponse.d.ts.map