import { ScopeAsResponse } from "../definitions/ScopeAsResponse";
import { ScreenableTabAsResponse } from "../definitions/ScreenableTabAsResponse";
export interface ScreenWithTabAsResponse {
    /**
     * The ID of the screen.
     */
    id?: number;
    /**
     * The name of the screen.
     */
    name?: string;
    /**
     * The description of the screen.
     */
    description?: string;
    /**
     * The scope of the screen.
     */
    scope?: ScopeAsResponse;
    /**
     * The tab for the screen.
     */
    tab?: ScreenableTabAsResponse;
}
//# sourceMappingURL=ScreenWithTabAsResponse.d.ts.map