import { SecurityLevelAsResponse } from "../definitions/SecurityLevelAsResponse";
export interface SecuritySchemeAsResponse {
    /**
     * The URL of the issue security scheme.
     */
    self?: string;
    /**
     * The ID of the issue security scheme.
     */
    id?: number;
    /**
     * The name of the issue security scheme.
     */
    name?: string;
    /**
     * The description of the issue security scheme.
     */
    description?: string;
    /**
     * The ID of the default security level.
     */
    defaultSecurityLevelId?: number;
    levels?: Array<SecurityLevelAsResponse>;
}
//# sourceMappingURL=SecuritySchemeAsResponse.d.ts.map