import { IconAsResponse } from "../definitions/IconAsResponse";
export interface StatusAsResponse {
    /**
     * Whether the item is resolved. If set to "true", the link to the issue is displayed in a strikethrough font, otherwise the link displays in normal font.
     */
    resolved?: boolean;
    /**
     * Details of the icon representing the status. If not provided, no status icon displays in Jira.
     */
    icon?: IconAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=StatusAsResponse.d.ts.map