export interface Visibility {
    /**
     * Whether visibility of this item is restricted to a group or role.
     */
    type?: "group" | "role";
    /**
     * The name of the group or role to which visibility of this item is restricted.
     */
    value?: string;
    [x: string]: any;
}
//# sourceMappingURL=Visibility.d.ts.map