import { Label } from "../types/label";
/**
 * Returns a [paginated](#pagination) list of labels.
 * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-label-get
 * @param options Request options.
 */
export declare function getLabels(options: Label.GetLabels.Options.RawApi): Promise<import("@avst-api/commons").Response<import("../definitions/PageBeanStringAsResponse").PageBeanStringAsResponse | undefined>>;
//# sourceMappingURL=label.d.ts.map