# 0.6.5

- Added support for the following Issue Type Screen Scheme method:

  * [Get issue type screen scheme projects](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-screen-schemes/#api-rest-api-3-issuetypescreenscheme-issuetypescreenschemeid-project-get) that can be used as `Issue.Type.Screen.Scheme.getProjects` or `All.getIssueTypeScreenSchemeProjects`.

- Added support for the following Dashboard Property methods:

  * [Get dashboard item property keys](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-get) that can be used as `Dashboard.Property.getPropertyKeys` or `All.getDashboardItemPropertyKeys`.
  * [Get dashboard item property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-get) that can be used as `Dashboard.Property.getProperty` or `All.getDashboardItemProperty`.
  * [Set dashboard item property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-put) that can be used as `Dashboard.Property.setProperty` or `All.setDashboardItemProperty`.
  * [Delete dashboard item property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-dashboards/#api-rest-api-3-dashboard-dashboardid-items-itemid-properties-propertykey-delete) that can be used as `Dashboard.Property.deleteProperty` or `All.deleteDashboardItemProperty`.

- Added support for the following Application Role methods:

  * [Get all application roles](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-get) that can be used as `Application.Role.getRoles` or `All.getApplicationRoles`.
  * [Get application role](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-application-roles/#api-rest-api-3-applicationrole-key-get) that can be used as `Application.Role.getRole` or `All.getApplicationRole`.

- Added support for the following User methods:

  * [Get user default columns](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-get) that can be used as `User.getDefaultColumns` or `All.getUserDefaultColumns`.
  * [Set user default columns](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-put) that can be used as `User.setDefaultColumns` or `All.setUserDefaultColumns`.
  * [Reset user default columns](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-users/#api-rest-api-3-user-columns-delete) that can be used as `User.resetDefaultColumns` or `All.resetUserDefaultColumns`.

- Added support for the following Instance method:

  * [Set application property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jira-settings/#api-rest-api-3-application-properties-id-put) that can be used as `Instance.setApplicationProperty` or `All.setApplicationProperty`.

- Added support for the following Issue Type Property methods:

  * [Get issue type property keys](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-get) that can be used as `Issue.Type.Property.getPropertyKeys` or `All.getIssueTypePropertyKeys`.
  * [Get issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-get) that can be used as `Issue.Type.Property.getProperty` or `All.getIssueTypeProperty`.
  * [Set issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-put) that can be used as `Issue.Type.Property.setProperty` or `All.setIssueTypeProperty`.
  * [Delete issue type property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-type-properties/#api-rest-api-3-issuetype-issuetypeid-properties-propertykey-delete) that can be used as `Issue.Type.Property.deleteProperty` or `All.deleteIssueTypeProperty`.

- Added support for the following Issue Navigator methods:

  * [Get issue navigator default columns](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-get) that can be used as `Issue.Navigator.getDefaultColumns` or `All.getIssueNavigatorDefaultColumns`.
  * [Set issue navigator default columns](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-navigator-settings/#api-rest-api-3-settings-columns-put) that can be used as `Issue.Navigator.setDefaultColumns` or `All.setIssueNavigatorDefaultColumns`.

- Added support for the following User Property methods:

  * [Get user property keys](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-get) that can be used as `User.Property.getPropertyKeys` or `All.getUserPropertyKeys`.
  * [Get user property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-get) that can be used as `User.Property.getProperty` or `All.getUserProperty`.
  * [Set user property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-put) that can be used as `User.Property.setProperty` or `All.setUserProperty`.
  * [Delete user property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-user-properties/#api-rest-api-3-user-properties-propertykey-delete) that can be used as `User.Property.deleteProperty` or `All.deleteUserProperty`.

- Added support for the following Issue Field Configuration methods:

  * [Create field configuration](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-post) that can be used as `Issue.Field.Configuration.createConfiguration` or `All.createIssueFieldConfiguration`.
  * [Update field configuration](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-put) that can be used as `Issue.Field.Configuration.updateConfiguration` or `All.updateIssueFieldConfiguration`.
  * [Delete field configuration](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-field-configurations/#api-rest-api-3-fieldconfiguration-id-delete) that can be used as `Issue.Field.Configuration.deleteConfiguration` or `All.deleteIssueFieldConfiguration`.

- Added support for the following Issue Worklog Property methods:

  * [Get worklog property keys](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-get) that can be used as `Issue.Worklog.Property.getKeys` or `All.getWorklogPropertyKeys`.
  * [Get worklog property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-get) that can be used as `Issue.Worklog.Property.getProperty` or `All.getWorklogProperty`.
  * [Set worklog property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-put) that can be used as `Issue.Worklog.Property.setProperty` or `All.setWorklogProperty`.
  * [Delete worklog property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-worklog-properties/#api-rest-api-3-issue-issueidorkey-worklog-worklogid-properties-propertykey-put) that can be used as `Issue.Worklog.Property.deleteProperty` or `All.deleteWorklogProperty`.

- Fixed `getAllUsers` in `CacheManager` to account for pagination.

# 0.6.3

- Added support to provide `null` as a value argument for `withUserPickerCustomField` method in `IssueBuilder` class. 
- Added support to provide `null` as a value argument for `withSelectCustomField` method in `IssueBuilder` class. 
- Added support to provide `null` as a value argument for `withMultiSelectCustomField` method in `IssueBuilder` class. 
- Added support to provide `null` as a value argument for `withMultiUserPickerCustomField` method in `IssueBuilder` class.

# 0.6.0

BREAKING CHANGES: Removed an option to set a user to user picker custom fields based on user name due to Atlassian deprecating user `name` property. 

- Added method `withParent` in `IssueBuilder` class to set the parent issue for a sub-task.
- Added method `withReporter` in `IssueBuilder` class to add user to Reporter field by `accountId`, user object or email.
- Updated method `withAssignee` in `IssueBuilder` class to add user to Assignee field by user email as well.
- Updated method `withUserPickerCustomField` in `IssueBuilder` class to add user to user picker custom field by user email as well.
- Fixed method `withMultiUserPickerCustomField` in `IssueBuilder` class to add multiple users to multiuser picker custom field by user's `accountId`, user object or email.

- Added support for the following Issue methods:

  * [Get change logs by ID](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-issueidorkey-changelog-list-post) that can be used as `Issue.getChangeLogsById` or `All.getIssueChangeLogsById`.

- Added support for the following Issue fields methods:

  * [Delete custom field](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-delete) that can be used as `Issue.deleteField` or `All.deleteIssueCustomField`.
  * [Restore custom field from trash](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-restore-post) that can be used as `Issue.restoreField` or `All.restoreIssueCustomField`.
  * [Move custom field to trash](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-id-trash-post) that can be used as `Issue.moveToTrash` or `All.moveIssueCustomFieldToTrash`.    

# 0.5.9

- Added support for the following Issue types methods:

  * [Get issue types for project](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-types/#api-rest-api-3-issuetype-project-get) that can be used as `Issue.Type.getTypesForProject` or `All.getIssueTypesForProject`.

- Added support for the following Project permission schemes methods:

  * [Get project issue security levels](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-permission-schemes/#api-rest-api-3-project-projectkeyorid-securitylevel-get) that can be used as `Project.Permission.Scheme.getIssueSecurityLevels` or `All.getProjectIssueSecurityLevels`.

- Added support for the following Project properties methods:

  * [Delete project property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-delete) that can be used as `Project.Property.deleteProperty` or `All.deleteProjectProperty`.

- Added support for the following Project types methods:

  * [Get all project types](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-get) that can be used as `Project.Type.getTypes` or `All.getProjectTypes`.
  * [Get licensed project types](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-accessible-get) that can be used as `Project.Type.getLicensedTypes` or `All.getLicensedProjectTypes`.
  * [Get project type by key](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-get) that can be used as `Project.Type.getTypeByKey` or `All.getProjectTypeByKey`.
  * [Get accessible project type by key](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-types/#api-rest-api-3-project-type-projecttypekey-accessible-get) that can be used as `Project.Type.getAccessibleTypeByKey` or `All.getAccessibleProjectTypeByKey`.

- Added support for the following Workflow status categories methods:

  * [Get all status categories](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-get) that can be used as `Workflow.Status.Category.getCategories` or `All.getWorkflowStatusCategories`.
  * [Get status category](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflow-status-categories/#api-rest-api-3-statuscategory-idorkey-get) that can be used as `Workflow.Status.Category.getCategory` or `All.getWorkflowStatusCategory`.  

- Removed deprecated method `Issue.Field.Custom.Option.getIssueCustomFieldOptions`.
- Removed deprecated method `Issue.Field.Custom.Option.createIssueCustomFieldOptions`.
- Fixed private method `fetchCustomFieldOptions` in `CacheManager` class since it used deprecated method `Issue.Field.Custom.Option.getIssueCustomFieldOptions`.
- Fixed private method `processIssueType` in `IssueBuilder` class not finding the correct issue type for certain project.

# 0.5.8

- Added `reporter` property for editing issue requests.

# 0.5.7

- Added support for the following Instance information methods:

    * [Get license](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-instance-information/#api-rest-api-3-instance-license-get) that can be used as `Instance.getLicense` or `All.getLicense`.

# 0.5.6

- Added `X-Force-Accept-Language` and `Accept-Language` header to requests.

# 0.5.5

- Updated dependencies.

# 0.5.3

- Added support for the following JQL methods:

    * [Get field reference data](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-jql/#api-rest-api-3-jql-autocompletedata-get) that can be used as `Jql.getReferenceData` or `All.getReferenceDataForJql`.

# 0.5.2

- Added support for the following Issue security level methods:

    * [Get issue security level](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-security-level/#api-rest-api-3-securitylevel-id-get) that can be used as `Issue.Security.getLevel` or `All.getIssueSecurityLevel`.

# 0.5.1

- Fixed `Issue.Field.getFieldsPaginated` method not working when query parameter `type` or `id` has more than one value.
- Fixed `Issue.Field.Custom.Context.getDefaultContexts` method not working when query parameter `contextId` has more than one value.

# 0.5.0

- Added support for the following Issue custom field contexts methods:

    * [Get issue types for custom field context](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-issuetypemapping-get) that can be used as `Issue.Field.Custom.Context.getIssueTypes` or `All.getIssueCustomFieldIssueTypesForContext`.
    * [Get project mappings for custom field context](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-projectmapping-get) that can be used as `Issue.Field.Custom.Context.getProjectMappings` or `All.getIssueCustomFieldContextToProjectMappings`.
    * [Update custom field context](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-put) that can be used as `Issue.Field.Custom.Context.updateContext` or `All.updateIssueCustomFieldContext`.
    * [Add issue types to context](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-put) that can be used as `Issue.Field.Custom.Context.addIssueTypes` or `All.addIssueTypesToIssueCustomFieldContext`.
    * [Remove issue types from context](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-issuetype-remove-post) that can be used as `Issue.Field.Custom.Context.removeIssueTypes` or `All.removeIssueTypesFromIssueCustomFieldContext`.
    * [Assign custom field context to projects](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-put) that can be used as `Issue.Field.Custom.Context.assignToProjects` or `All.assignIssueCustomFieldContextToProjects`.
    * [Remove custom field context from projects](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-contextid-project-remove-post) that can be used as `Issue.Field.Custom.Context.removeFromProjects` or `All.removeIssueCustomFieldContextFromProjects`.

- Added support for the following Issue custom field options methods:

    * [Update custom field options (context)](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-field-fieldid-context-contextid-option-put) that can be used as `Issue.Field.Custom.Context.Option.updateOptions` or `All.updateIssueCustomFieldContextOptions`.

# 0.4.2

- Removed Atlassian Document Format.

# 0.4.0

- Added support for the following Filter sharing methods:

    * [Get default share scope](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-get) that can be used as `Filter.Share.getDefaultScope` or `All.getFiltersDefaultShareScope`.
    * [Set default share scope](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-defaultsharescope-put) that can be used as `Filter.Share.setDefaultScope` or `All.setFiltersDefaultShareScope`.
    * [Get share permissions](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-get) that can be used as `Filter.Share.Permission.getPermissions` or `All.getFiltersSharePermissions`.
    * [Add share permission](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-post) that can be used as `Filter.Share.Permission.addPermission` or `All.addFiltersSharePermission`.
    * [Get share permission](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-get) that can be used as `Filter.Share.Permission.getPermission` or `All.getFiltersSharePermission`.
    * [Delete share permission](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-filter-sharing/#api-rest-api-3-filter-id-permission-permissionid-delete) that can be used as `Filter.Share.Permission.deletePermission` or `All.deleteFiltersSharePermission`.

# 0.3.21

- Replaced promise chaining with async/await.

# 0.3.20

- Added support for the following Project properties methods:

    * [Get project property keys](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-get) that can be used as `Project.Property.getPropertyKeys` or `All.getProjectPropertyKeys`.
    * [Get project property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-get) that can be used as `Project.Property.getProperty` or `All.getProjectProperty`.
    * [Set project property](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-project-properties/#api-rest-api-3-project-projectidorkey-properties-propertykey-put) that can be used as `Project.Property.setProperty` or `All.setProjectProperty`.

# 0.3.19

- Fixed `Project.getProjects` method not working when query parameter `status` has more than one value.
- Added deprecated annotation to the following methods:

    * [Get contexts for a field](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-contexts-get) that can be used as `Issue.Field.getContexts` or `All.getFieldContexts`.
    * [Get options for field](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-customfield-fieldid-option-get) that can be used as `Issue.Field.Custom.Option.getOptions` or `All.getIssueCustomFieldOptions`.
    * [Create custom field options](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-customfield-fieldid-option-post) that can be used as `Issue.Field.Custom.Option.createOptions` or `All.createIssueCustomFieldOptions`.
    * [Get custom field option](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-options/#api-rest-api-3-customfieldoption-id-get) that can be used as `Issue.Field.Custom.Option.getOption` or `All.getIssueCustomFieldOption`.

- Added support for the following Issue fields methods:

    * [Update custom field](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-fields/#api-rest-api-3-field-fieldid-put) that can be used as `Issue.Field.Custom.updateField` or `All.updateIssueCustomField`.

- Added support for the following Issue custom field contexts methods:

    * [Get custom field contexts default values](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-get) that can be used as `Issue.Field.Custom.Context.getDefaultContexts` or `All.getIssueCustomFieldDefaultContexts`.
    * [Set custom field contexts default values](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issue-custom-field-contexts/#api-rest-api-3-field-fieldid-context-defaultvalue-put) that can be used as `Issue.Field.Custom.Context.setDefaultContexts` or `All.setIssueCustomFieldDefaultContexts`.

# 0.3.18

- Fixed throwing `UnexpectedError` not getting wrapped in another `UnexpectedError`.

# 0.3.17

- Added support for the following Screen methods:

    * [Create screen](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-post) that can be used as `Screen.createScreen` or `All.createScreen`.
    * [Update screen](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-put) that can be used as `Screen.updateScreen` or `All.updateScreen`.
    * [Delete screen](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-screens/#api-rest-api-3-screens-screenid-delete) that can be used as `Screen.deleteScreen` or `All.deleteScreen`.

# 0.3.16

- Fixed `Screen.getScreens` method not working when query parameter `id` has more than one value.
- Fixed `Issue.Field.Configuration.getConfigurations` method not working when query parameter `id` has more than one value.
- Fixed `Filter.searchFilters` method not working when query parameter `id` has more than one value.
- Removed deprecated query parameter `exclude` from `User.Search.findUsersForPicker`.

# 0.3.15

- Fixed `Workflow.getWorkflows` method not working when query parameter `workflowName` has more than one value.

# 0.3.14

- Fixed `setGlobalErrorStrategy` method.
- Added support for the following Workflows method:

    * [Get workflows paginated](https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-workflows/#api-rest-api-3-workflow-search-get) that can be used as `Workflow.getWorkflows` or `All.getWorkflows`.

- Fixed `Screen.Scheme.getSchemes` method not working when query parameter `id` has more than one value.

# 0.3.13

- Fixed bug in CF abstraction related to renaming `connection` property to `connectionId`.
- Removed `io-ts` and `fp-ts` packages.

# 0.3.12

- Added `setGlobalErrorStrategy` method to allow another way to set the global error strategy.
- Renamed `connection` property to `connectionId` in `raw-api` and `handled-api` layers.
- Removed `AnyError` and `ValidationError` from `TypedPromise` return signature.

# 0.3.11

- Renamed abstraction layers:
    * From <b>http-api</b> to <b>raw-api</b>
    * From <b>managed-api</b> to <b>handled-api</b>