interface DurationDTO {
    millis?: number;
    friendly?: string;
}
interface DateDTO {
    iso8601?: string;
    jira?: string;
    friendly?: string;
    epochMillis?: number;
}
interface Cycle {
    startTime?: DateDTO;
    breached?: boolean;
    goalDuration?: DurationDTO;
    elapsedTime?: DurationDTO;
    remainingTime?: DurationDTO;
}
interface CompletedCycles extends Cycle {
    stopTime?: DateDTO;
}
interface OngoingCycle extends Cycle {
    breachTime?: DateDTO;
    paused?: boolean;
    withinCalendarHours?: boolean;
}
export interface ServiceLevelAgreement {
    id?: string;
    name?: string;
    _links?: {
        self?: string;
    };
    completedCycles?: CompletedCycles[];
    ongoingCycle?: OngoingCycle;
}
export {};
//# sourceMappingURL=serviceLevelAgreement.d.ts.map