import { JQLQueryWithUnknownUsersAsResponse } from "../definitions/JQLQueryWithUnknownUsersAsResponse";
export interface ConvertedJQLQueriesAsResponse {
    /**
     * The list of converted query strings with account IDs in place of user identifiers.
     */
    queryStrings?: Array<string>;
    /**
     * List of queries containing user information that could not be mapped to an existing user
     */
    queriesWithUnknownUsers?: Array<JQLQueryWithUnknownUsersAsResponse>;
}
//# sourceMappingURL=ConvertedJQLQueriesAsResponse.d.ts.map