import { IssueLinkTypeAsResponse } from "../definitions/IssueLinkTypeAsResponse";
import { LinkedIssueAsResponse } from "../definitions/LinkedIssueAsResponse";
export interface IssueLinkAsResponse {
    /**
     * The ID of the issue link.
     */
    id?: string;
    /**
     * The URL of the issue link.
     */
    self?: string;
    /**
     * The type of link between the issues.
     */
    type: IssueLinkTypeAsResponse;
    /**
     * The issue the link joins to.
     */
    inwardIssue: LinkedIssueAsResponse;
    /**
     * The issue the link originates from.
     */
    outwardIssue: LinkedIssueAsResponse;
}
//# sourceMappingURL=IssueLinkAsResponse.d.ts.map