export interface ProjectRoleActorsUpdateBean {
    /**
     * The actors to add to the project role. Add groups using `atlassian-group-role-actor` and a list of group names. For example, `"atlassian-group-role-actor":["another","administrators"]}`. Add users using `atlassian-user-role-actor` and a list of account IDs. For example, `"atlassian-user-role-actor":["12345678-9abc-def1-2345-6789abcdef12", "abcdef12-3456-789a-bcde-f123456789ab"]`.
     */
    categorisedActors?: {
        [x: string]: Array<string>;
    };
}
//# sourceMappingURL=ProjectRoleActorsUpdateBean.d.ts.map