import { ApplicationAsResponse } from "../definitions/ApplicationAsResponse";
import { RemoteObjectAsResponse } from "../definitions/RemoteObjectAsResponse";
export interface RemoteIssueLinkAsResponse {
    /**
     * The ID of the link.
     */
    id?: number;
    /**
     * The URL of the link.
     */
    self?: string;
    /**
     * The global ID of the link, such as the ID of the item on the remote system.
     */
    globalId?: string;
    /**
     * Details of the remote application the linked item is in.
     */
    application?: ApplicationAsResponse;
    /**
     * Description of the relationship between the issue and the linked item.
     */
    relationship?: string;
    /**
     * Details of the item linked to.
     */
    object?: RemoteObjectAsResponse;
}
//# sourceMappingURL=RemoteIssueLinkAsResponse.d.ts.map