import { IconAsResponse } from "../definitions/IconAsResponse";
import { StatusAsResponse } from "../definitions/StatusAsResponse";
export interface RemoteObjectAsResponse {
    /**
     * The URL of the item.
     */
    url: string;
    /**
     * The title of the item.
     */
    title: string;
    /**
     * The summary details of the item.
     */
    summary?: string;
    /**
     * Details of the icon for the item. If no icon is defined, the default link icon is used in Jira.
     */
    icon?: IconAsResponse;
    /**
     * The status of the item.
     */
    status?: StatusAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=RemoteObjectAsResponse.d.ts.map