import { ProjectRoleUserAsResponse } from "../definitions/ProjectRoleUserAsResponse";
import { ProjectRoleGroupAsResponse } from "../definitions/ProjectRoleGroupAsResponse";
export interface RoleActorAsResponse {
    /**
     * The ID of the role actor.
     */
    id?: number;
    /**
     * The display name of the role actor. For users, depending on the user’s privacy setting, this may return an alternative value for the user's name.
     */
    displayName?: string;
    /**
     * The type of role actor.
     */
    type?: "atlassian-group-role-actor" | "atlassian-user-role-actor";
    /**
     * The avatar of the role actor.
     */
    avatarUrl?: string;
    actorUser?: ProjectRoleUserAsResponse;
    actorGroup?: ProjectRoleGroupAsResponse;
}
//# sourceMappingURL=RoleActorAsResponse.d.ts.map