import { ScreenTypesAsResponse } from "../definitions/ScreenTypesAsResponse";
import { PageBeanIssueTypeScreenSchemeAsResponse } from "../definitions/PageBeanIssueTypeScreenSchemeAsResponse";
export interface ScreenSchemeAsResponse {
    /**
     * The ID of the screen scheme.
     */
    id?: number;
    /**
     * The name of the screen scheme.
     */
    name?: string;
    /**
     * The description of the screen scheme.
     */
    description?: string;
    /**
     * The IDs of the screens for the screen types of the screen scheme.
     */
    screens?: ScreenTypesAsResponse;
    /**
     * Details of the issue type screen schemes associated with the screen scheme.
     */
    issueTypeScreenSchemes?: PageBeanIssueTypeScreenSchemeAsResponse;
}
//# sourceMappingURL=ScreenSchemeAsResponse.d.ts.map