export interface UserPickerUserAsResponse {
    /**
     * The account ID of the user, which uniquely identifies the user across all Atlassian products. For example, *5b10ac8d82e05b22cc7d4ef5*.
     */
    accountId?: string;
    /**
     * The display name, email address, and key of the user with the matched query string highlighted with the HTML bold tag.
     */
    html?: string;
    /**
     * The display name of the user. Depending on the user’s privacy setting, this may be returned as null.
     */
    displayName?: string;
    /**
     * The avatar URL of the user.
     */
    avatarUrl?: string;
}
//# sourceMappingURL=UserPickerUserAsResponse.d.ts.map