import { WorkflowTransitionRuleAsResponse } from "../definitions/WorkflowTransitionRuleAsResponse";
import { WorkflowConditionAsResponse } from "../definitions/WorkflowConditionAsResponse";
export interface WorkflowRulesAsResponse {
    /**
     * The workflow conditions. ([Deprecated](https://community.developer.atlassian.com/t/deprecation-of-conditions-body-param/48884))
     */
    conditions?: Array<WorkflowTransitionRuleAsResponse>;
    conditionsTree?: WorkflowConditionAsResponse;
    /**
     * The workflow validators.
     */
    validators?: Array<WorkflowTransitionRuleAsResponse>;
    /**
     * The workflow post functions.
     */
    postFunctions?: Array<WorkflowTransitionRuleAsResponse>;
}
//# sourceMappingURL=WorkflowRulesAsResponse.d.ts.map