import { Label } from "../types/label";
/**
 * Returns a [paginated](#pagination) list of labels.
 * Documentation: https://developer.atlassian.com/cloud/jira/platform/rest/v3/#api-rest-api-3-label-get
 * @param options Request options.
 */
export declare function getLabels<T = Label.GetLabels.Response.OK>(options: Label.GetLabels.Options.HandledApi): Promise<import("../definitions/PageBeanStringAsResponse").PageBeanStringAsResponse>;
//# sourceMappingURL=label.d.ts.map